osgVolume::TileData Struct Referenceabstract

`#include <VolumeTechnique>`

Inheritance diagram for osgVolume::TileData:

## Public Member Functions

| TileData ()
virtual void | update (osgUtil::CullVisitor *cv)=0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

bool | active
osg::NodePath | nodePath
osg::ref_ptr< osg::RefMatrix > | projectionMatrix
osg::ref_ptr< osg::RefMatrix > | modelviewMatrix
osg::ref_ptr< osg::StateSet > | stateset

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Container for render to texture objects used when doing multi-pass volume rendering techniques.

## Constructor & Destructor Documentation

## TileData()

osgVolume::TileData::TileData | ( |  | ) |

inline

References active.

## Member Function Documentation

## update()

virtual void osgVolume::TileData::update | ( | osgUtil::CullVisitor * | cv | ) |

pure virtual

Implemented in osgVolume::MultipassTechnique::MultipassTileData.

## Member Data Documentation

## active

bool osgVolume::TileData::active

Referenced by TileData().

## modelviewMatrix

osg::ref_ptr<osg::RefMatrix> osgVolume::TileData::modelviewMatrix

## nodePath

osg::NodePath osgVolume::TileData::nodePath

## projectionMatrix

osg::ref_ptr<osg::RefMatrix> osgVolume::TileData::projectionMatrix

## stateset

osg::ref_ptr<osg::StateSet> osgVolume::TileData::stateset

The documentation for this struct was generated from the following file:

- VolumeTechnique